var lanFrom = new Array('From:', 'Från:');
var lanTo = new Array('To:', 'Till:');
var lanDate = new Array('Date:', 'Datum:');
var lanDep = new Array('Dep', 'Avg');
var lanArr = new Array('Arr', 'Ank');
var lanChanges = new Array('Changes', 'Byten');
var lanDur = new Array('Dur', 'Restid');
var lanDuration= new Array('Duration', 'Restid');
var lanCustomer = new Array('Company', 'Trafikbolag');
var lanMainBtnNewSearch = new Array('New search', 'Ny sökning');
var lanKeyComNewSearch = new Array('New search', 'Ny sökning');
var lanInstructionsHeader = new Array('Tip:', 'Tips:');
var lanInstructions = new Array('Click on a journey to show<br> detailed journey information', 'Klicka på en resa för att visa <br>detaljerad reseinformation');

var lanSettings = new Array('When Dashboard is opened, show', 'Visa följande när Dashboard öppnas');
var lanLanguageSelect = new Array('Language', 'Språk');
var lanLanguageSelect_En = new Array('English', 'English');
var lanLanguageSelect_Sw = new Array('Svenska', 'Svenska');
var lanDirection_0 = new Array('Departure', 'Avgång');
var lanDirection_1 = new Array('Arrival', 'Ankomst');
var lanSetting_0 = new Array('Last shown page', 'Senast visade sida');
var lanSetting_1 = new Array('New search', 'Ny sökning');
var lanSetting_2 = new Array('Current departures from last search', 'Aktuella avgångstider för senaste sökning');

var lanbtnSearch = new Array('Search', 'Sök resa');
var lanbtnEdit = new Array('Edit', 'Ändra');
var lanbtnRetour = new Array('Retour', 'Retur');
var lanbtnPrevious = new Array('Earlier', 'Tidigare');
var lanbtnNext = new Array('Later', 'Senare');


function setLanguageLabels(page)
{
        var currentLanguage = getCurrentLanguage(false);

        var languageArray = null;
        
        switch(page) {
                case 'backpage':
                        languageArray = new Array(/*'lblKeyCommands', lanKeyCommands,
                                                'lblKeyComNewSearch', lanKeyComNewSearch,
                                                'lblKeyComRetour', lanKeyComRetour,
                                                'lblKeyComLeftRight', lanKeyComLeftRight,
                                                'lblKeyComSpace', lanKeyComSpace,
                                                'lblKeyComUpDown', lanKeyComUpDown,
                                                'lblKeyComLeftRightExp', lanKeyComLeftRightExp,
                                                'lblKeyComSpaceExp', lanKeyComSpaceExp,
                                                'lblKeyComUpDownExp', lanKeyComUpDownExp, 
                                                'lblCustomerSelect', lanCustomer,*/
                                                'lblSettings', lanSettings,
                                                'lblLanguageSelect', lanLanguageSelect,
                                                'lblSetting_0', lanSetting_0,
                                                'lblSetting_1', lanSetting_1,
                                                'lblSetting_2', lanSetting_2,
                                                'divInstructionsHeader', lanInstructionsHeader, 
                                                'divInstructions', lanInstructions
                                                );
                        // Select arrays separate:
                        document.getElementById('selectLanguage').options[0].innerHTML = lanLanguageSelect_En[currentLanguage];
                        document.getElementById('selectLanguage').options[1].innerHTML = lanLanguageSelect_Sw[currentLanguage];
                break;
                case 'searchpage':
                        languageArray = new Array('lblFromPoint', lanFrom,
                                                'lblToPoint', lanTo,
                                                'selDirectionText', lanDirection_0
                                                );
                        // Select arrays separate again:
                        document.getElementById('selDirection').options[0].innerHTML = lanDirection_0[currentLanguage];
                        document.getElementById('selDirection').options[1].innerHTML = lanDirection_1[currentLanguage];
                break;
                case 'querypage':
                        languageArray = new Array('lblFromPoint', lanFrom,
                                                'lblToPoint', lanTo
                                                );
                        // Select arrays separate again:
                        if (!document.getElementById('resultspageError')) {
                                document.getElementById('selDirection').options[0].innerHTML = lanDirection_0[currentLanguage];
                                document.getElementById('selDirection').options[1].innerHTML = lanDirection_1[currentLanguage];
                        }
                break;
                case 'resultspage':
                        languageArray = new Array('lblResultsFrom', lanFrom,
                                                'lblResultsTo', lanTo,
                                                'lblChanges', lanChanges,
                                                'lblJourneyTime', lanDur,
                                                'lblResultsDate', lanDate,
                                                'lblDep', lanDep,
                                                'lblArr', lanArr
                                                );
                break;
        }
        
        if (languageArray != null && !document.getElementById('resultspageError')) {
                for (var i = 0; i < languageArray.length; i+=2) {
                        document.getElementById(languageArray[i]).innerHTML = (languageArray[i+1])[currentLanguage];
                }
        }
}

function getCurrentLanguage(getTextedVersion)
{
     var currentLanguage = widget.preferenceForKey('language');
        
        if (currentLanguage == null) {
                currentLanguage = DEFAULTLANGUAGE;
                widget.setPreferenceForKey(DEFAULTLANGUAGE, 'language');
        }  
      if (!getTextedVersion) {
        return currentLanguage;
        }else {
                switch (currentLanguage) {
                        case '0':
                                return 'en';
                        break;
                        case '1':
                                return 'sw';
                        break;
                }
        }
}